Package com.sleepycat.db

## Class PreparedTransaction

- java.lang.Object
- - com.sleepycat.db.PreparedTransaction

-     public class PreparedTransaction
      extends java.lang.Object

  The PreparedTransaction object is used to encapsulate a single prepared, but not yet resolved, transaction.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `byte[]` | `getGID()` | Return the global transaction ID for the transaction.
    `Transaction` | `getTransaction()` | Return the transaction handle for the transaction.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getGID

          public byte[] getGID()

      Return the global transaction ID for the transaction. The global transaction ID is the one specified when the transaction was prepared. The application is responsible for ensuring uniqueness among global transaction IDs.

      Returns:
        The global transaction ID for the transaction.

    - #### getTransaction

          public Transaction getTransaction()

      Return the transaction handle for the transaction.

      Returns:
        The transaction handle for the transaction.

Copyright (c) 1996, 2020 Oracle and/or its affiliates. All rights reserved.